Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(109)

Unified Diff: compiler/scripts/dartc.sh

Issue 9158011: Fix dartc.sh script to use /bin/bash (issue dart:1104) (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 8 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | tools/testing/dart/test_runner.dart » ('j') | tools/testing/dart/test_runner.dart » ('J')
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: compiler/scripts/dartc.sh
diff --git a/compiler/scripts/dartc.sh b/compiler/scripts/dartc.sh
index 02f221f918a9fa7474b705b0d6d4e9e90eb34f15..9bc6308e7c0a31a79e84c23cf24d0ae9fb32531b 100755
--- a/compiler/scripts/dartc.sh
+++ b/compiler/scripts/dartc.sh
@@ -1,8 +1,9 @@
-#!/bin/sh
+#!/bin/bash
Bill Hesse 2012/01/10 13:09:10 Remove this change?
ahe 2012/01/10 13:55:03 I was thinking the same.
Bill Hesse 2012/01/10 14:13:52 Changing to /bin/bash --posix to agree with the ot
# Copyright (c) 2011, the Dart project authors. Please see the AUTHORS file
# for details. All rights reserved. Use of this source code is governed by a
# BSD-style license that can be found in the LICENSE file.
-
+set -e
zundel 2012/01/10 14:04:53 if this is going to stay in for more than just a f
Bill Hesse 2012/01/10 14:13:52 We are taking this out. We fixed it.
+set -x
SCRIPT_DIR=$(dirname $0)
DARTC_HOME=$(dirname $SCRIPT_DIR)
DARTC_LIBS=$DARTC_HOME/lib
« no previous file with comments | « no previous file | tools/testing/dart/test_runner.dart » ('j') | tools/testing/dart/test_runner.dart » ('J')

Powered by Google App Engine
This is Rietveld 408576698